import { Construct } from 'constructs';
/**
 * Creates a field index policy for CloudWatch Logs log groups.
 */
export declare class FieldIndexPolicy {
    private readonly fieldIndexPolicyProps;
    constructor(props: FieldIndexPolicyProps);
    /**
     * @internal
     */
    _bind(_scope: Construct): {
        Fields: string[];
    };
}
/**
 * Properties for creating field index policies
 */
export interface FieldIndexPolicyProps {
    /**
     * List of fields to index in log events.
     *
     * @default no fields
     */
    readonly fields: string[];
}
